<refentry id="SQL-ROLLBACK">
 <refmeta>
  <refentrytitle id="SQL-ROLLBACK-TITLE">
ROLLBACK
  </refentrytitle>
  <refmiscinfo>SQL - Language Statements</refmiscinfo>
 </refmeta>
 <refnamediv>
  <refname>
ROLLBACK
  </refname>
  <refpurpose>
   Aborts the current transaction
  </refpurpose>
 </refnamediv>
 <refsynopsisdiv>
  <refsynopsisdivinfo>
   <date>1998-09-24</date>
  </refsynopsisdivinfo>
  <synopsis>
ROLLBACK [ WORK | TRANSACTION ]
  </synopsis>

  <refsect2 id="R2-SQL-ROLLBACK-1">
   <refsect2info>
    <date>1998-09-24</date>
   </refsect2info>
   <title>
    Inputs
   </title>
   <para>
    None.
   </para>
  </refsect2>

  <refsect2 id="R2-SQL-ROLLBACK-2">
   <refsect2info>
    <date>1998-09-24</date>
   </refsect2info>
   <title>
    Outputs
   </title>
   <para>
	
    <variablelist>
     <varlistentry>
      <term>
       ABORT
      </term>
      <listitem>
       <para>
	Message returned if successful.
       </para>
      </listitem>
     </varlistentry>
     
     <varlistentry>
      <term>
       NOTICE:  UserAbortTransactionBlock and not in in-progress state
       ABORT
      </term>
      <listitem>
       <para>
	If there is not any transaction currently in progress.
       </para>
      </listitem>
     </varlistentry>
    </variablelist>
   </para>
  </refsect2>
 </refsynopsisdiv>

 <refsect1 id="R1-SQL-ROLLBACK-1">
  <refsect1info>
   <date>1998-09-24</date>
  </refsect1info>
  <title>
   Description
  </title>

  <para>
   <command>ROLLBACK</command> rolls back the current transaction and causes
   all the updates made by the transaction to be discarded.
  </para>

  <refsect2 id="R2-SQL-ROLLBACK-3">
   <refsect2info>
    <date>1998-09-24</date>
   </refsect2info>
   <title>
    Notes
   </title>
   <para>
    The keywords WORK and TRANSACTION are noise and can be omitted.
   </para>

   <para>
    Use <xref linkend="SQL-COMMIT-TITLE" endterm="SQL-COMMIT-TITLE">
    to successfully terminate a transaction.
   </para>
  </refsect2>
 </refsect1>

 <refsect1 id="R1-SQL-ROLLBACK-2">
  <title>
   Usage
  </title>
  <para>
   <programlisting>
    --To abort all changes:
    --
    ROLLBACK WORK;
   </programlisting>
  </para>
 </refsect1>

 <refsect1 id="R1-SQL-ROLLBACK-3">
  <title>
   Compatibility
  </title>
  <para>
  </para>

  <refsect2 id="R2-SQL-ROLLBACK-4">
   <refsect2info>
    <date>1998-09-24</date>
   </refsect2info>
   <title>
    SQL92
   </title>
   <para>
    Full compatibility. TRANSACTION is a
    <productname>Postgres</productname> extension.
   </para>
  </refsect2>
 </refsect1>
</refentry>

<!-- Keep this comment at the end of the file
Local variables:
mode: sgml
sgml-omittag:nil
sgml-shorttag:t
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:1
sgml-indent-data:t
sgml-parent-document:nil
sgml-default-dtd-file:"../reference.ced"
sgml-exposed-tags:nil
sgml-local-catalogs:"/usr/lib/sgml/catalog"
sgml-local-ecat-files:nil
End:
-->
